## hivemind 0.3

=== Makefile ===
# HiveMind - Distributed mind map editor for Maemo 5 platform
# Makefile
# Copyright (C) 2010 Ilya Paramonov

prefix=/usr/local

all: build-translations

help:
	@echo 'Targets:'
	@echo '  update-translations - update all .ts-files'
	@echo '  build-translations  - build all .ts-files'
	@echo '  version             - generate __version__.py from hg log'
	@echo '  documentation       - create documentation using epydoc'
	@echo '  clean               - remove files created by other targets'
	@echo '  install             - install previously built application'
	@echo '  uninstall           - uninstall application'
	@echo	
	@echo 'Default location for install/uninstall is /usr/local. Use -e prefix=<directory> to override'

update-translations:
	pyside-lupdate `find . -name '*.py'` -ts `find translations -name '*.ts'` -noobsolete

build-translations: $(patsubst %.ts,%.qm,$(wildcard translations/*.ts))

%.qm: %.ts
	lrelease $<

version:
	hg log -r . | awk ' \
	BEGIN{ print "# This file is auto-generated. Do not edit!" } \
	/^changeset:/{ VERSION = "r" substr($$2, 0, index($$2, ":") - 1) "+dev"; } \
	/^tag: *v/{ VERSION = substr($$2, 2); } \
	/^summary: *Added tag v/{ VERSION = substr($$4, 2); } \
	END{ print "VERSION = \"" VERSION "\"" } \
	' > hivemind/__version__.py

documentation:
	find hivemind -name '*.py' -a ! -wholename 'hivemind/test/*' | \
		xargs epydoc -v --name HiveMind --graph all $(EPYPARAMS)

clean:
	rm -f $(patsubst %.ts,%.qm,$(wildcard translations/*.ts))
	rm -rf html
	rm -f hivemind/__version__.py
	find . -name '*.pyc' -delete

install: build-translations
	install -d ${DESTDIR}${prefix}/share/hivemind ${DESTDIR}${prefix}/bin
	cp -r config icons images hivemind translations qt4reactor ${DESTDIR}${prefix}/share/hivemind/
	cp hivemind.py ${DESTDIR}${prefix}/bin/hivemind
	cd ${DESTDIR}${prefix}/share/hivemind

uninstall:
	rm -rf ${DESTDIR}${prefix}/share/hivemind
	rm -f ${DESTDIR}${prefix}/bin/hivemind

.PHONY: help all update-translations build-translations version documentation clean install

=== debian/changelog ===
hivemind (0.3-maemo1) unstable; urgency=low

  * Initial release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Thu, 25 Nov 2010 19:21:40 +0300

=== debian/control ===
Source: hivemind
Section: user/office
Priority: extra
Maintainer: Ilya Paramonov <ivparamonov@gmail.com>
Build-Depends: debhelper7, python-support, quilt (>= 0.45), libqt4-dev
Standards-Version: 3.8.4
Homepage: https://linuxlab.corp7.uniyar.ac.ru/projects/hivemind
XSBC-Bugtracker: https://linuxlab.corp7.uniyar.ac.ru/projects/hivemind/issues

Package: hivemind
Architecture: all
Depends: python (>= 2.5), python (< 2.6), python-lxml (>= 2.1), python-pyside.qtcore (>= 0.4.2), python-pyside.qtgui (>= 0.4.2), python-pyside.qtmaemo5 (>= 0.4.2), python-twisted (>= 8.2.0), python-wokkel (>= 0.6.3)
Description: Collaborative mind map editor
 It is still under active development now. Collaborative functions are very experimental now.
 It is planned to make them stable in the next release.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oHExAANytmt/cAAAzTSURBVGje7Vl7WFRlGv+dYca54IDADDrCAJKD
 TjqICHJRZFC5PoIgUUiAeYHCtdUCXMxcRcHU9UomeSksS0Vk2RxcXW+UkmQK
 6OaC9IggkoRD5gIiw+3dP+YglwApt9vz9D7P98c55zvv+b3v994P8Af9umTw
 a31YrVarDA0Nn9NqtdUAGn9XWps9e7Z/QEBACwACUAGA91N5cX9GnEEAfAF0
 sNdDALQBaBeJRM9funSpE/QI1hJaf0tKjgMQAIDp66FEInHncrn/BnATwAI7
 O7u/AhD/VsCbA0gdxD4GgImNjc15IiJHR8czffinEsCLAJIAvMmeKNObyf+b
 XAGMA/DeQJvc3d0/1mq1M1tbW3kVFRUmDMM0K5XKi6WlpdkA3AHwbGxsvvHz
 87utVqvvSaXStt27dytycnIkra2tr/+cJ+AAYPET9kiWL19eTb1o+/btOnt7
 +01ENJ2I1H0tsVh8AIDhz+nEXwOIecKehuzs7A4+n4/8/HwolUqsX78eGRkZ
 NcePH8/r5vg/fLGhYUh3hx+MADwALqy5lQKoG2DvEACeACYDCARwsp/oIikv
 L29WKBS0du1aBgAYhmnevHnzaktLy0f9Mb9//76IzRktg9WmIYA0AHPZtQHA
 +6yJGHffKJPBNTR0zNdVVctaDh7kU2YmdAEB+MrODkG9ePIBHCYiPw8Pj3eG
 Dh16UyKRFG7btu2l/symc/F4vPcAWP8Yc1jEarQ3uQFIB7AJgByAxY4dfneI
 3iIiIRGBiEDXroHS0nBPocCL3d5N2rVrV3QnKA8Pj3WxsbFLnwTezc1tDYCQ
 3kA4g4go+X3cL2Bj/U4Af2YYXAwLm2Cpj3SP2CijRH19FYqLp0uVSqQAMAEg
 BKCKi4ur6mTU1tbWXlVVJRwIxIwZM6YWFBSYARjDWsA7AKIHI4ABgPYBnlcB
 WJ6Y6M/9/PPMHlsFAjni4+cjI+M/8PYWWg8fjtcBzJk7d+6VHh8wMGjn8/mP
 r5ubm/kpKSmqsLCwCB8fnxUymWz7uXPn/KdOnards2dPNREdIKKsoKAgW6FQ
 GMHpO1FKZMbGxofYeDz6CUIaTZ5sxrO2rkN4eAhmz3YDAIwaVQKdToKgIG8s
 WfKIEQjgCcD74MGD/+7+cmlp6ShnZ+f7SUlJnk5OTisDAgISeDyec1pamlYg
 EHzn5OSUQ0QrL1y4cD4mJqaarZ8wZsyYOiL6wcnZzZs3rzowMPC/7EYSi8XF
 TxBgyKZN0+/OnWtPxcV3CQA5OY0gItD163jsD0olCgBkdtr04sWLXwbwL0dH
 x78tWLBA89FHH+0loteIaBkRJZmbmx9LTk5eSETqo0ePvhASEpIYGBiYQERe
 RKQeNmzYPgBje4fRkbGxsWYlJSUCjUYDAPD39x+bnZ3t0d7efqEfAVry8kq/
 i47ukE2a5IEdO07A1FTvs+PGdW2qrISCYWCcm5svi44OmUHUwSeiLQsXLlxq
 Zmb2oLCwkHfz5s1nKysrhadOnTIsKyvbO2zYsAZvb+/Ft2/fDlGr1e3BwcHw
 8vI69/LLLx9+8OBBE4AbPZCoVKr3DQ0NH3366afk4uJC/v7+FBoa2gIgfKAj
 kMkQX1GB5pwcQzp2TPBY60Sg+HjQP/4B2rYNpNWCBAI0W1kZffb9942z+Xx+
 kZmZ2bWNGzfuTU1N3cfhcL5kc0c2gGMATi9atKjpyJEjdOXKFWpoaGi3trbW
 MgzzAZtzepJSqbzUmdbXrFlDJ0+e7Lhy5UqHqanpvN5239vZbW1xnggdRKDs
 bFBlJWjPHlBiIigwsEughw9BLi5oAQyLw8KiCohopY+P/99VKtWBlpaWWd1D
 Z2xs7Ou5ubntc+bMISKiq1evdjAMUw/AqT9lKuzt7QsVCsX358+fp5iYGJ2d
 nd1JtsJ8C8AhAIeGDBmSAeAggA8BrAMwViCAx9ixaEhPB+Xng9avB23fDvLy
 At29ix6ncu0aSC5Hm0qFxpEjUe3t7bc1ImLeSiMj4/2s5o+pVKrUL7744jmx
 WPzoxIkTPWqmiRMnfvGkBDbWyspqGYBJAL4EoMnJyXmxrwRTVFQUamurSndz
 wwMi0JdfgsLDQf7+oC1begLvXAcP6gPEggWgiAiQWo1mgQClBQWXwzr5GhkZ
 Hc7Kyppva2t7/PTp0y1ERABoypQphe7u7vMGk4VtAGQ6ODikcTic453e33td
 v14SMnKk7VEvL735PGm1toIaGkABAT3v8/noCAz03ExE6pKSkhArK6s9AEoA
 TJbJZCtVKtVFJyenyMG2lIsBqG/cuPHRmDFj6hcuXKhkGGYp2xK2sA7EBWAg
 lZrfF4kMhm7e/OTeoqkJqK8HzpwB5szpuv/SS4BOB+bixc+iOZwhI4haq1iT
 XQrgVk1NTWpNTc1gmiQYA/h42rRpb/ZTk8z89ttvA4nIm732jYtbvNzQcOQ/
 uVy0XLzYt9Y7OkC1taA7d/SRyNOz69nGjXpzAkDW1viuF56pbMkyKLICoMnK
 ypo7UFEVGBiYyDraWQB5zs7Ou0pKbr4wfrywqL4epNPpI019Pej+fdA334Bu
 39YLUFsLCg3tAp+Q0AXe2xv09tvQAhjfq2PcP5iphBTA23fv3n1XJpM97G/z
 2rVrn9VoNHFRUVG3bG1t6ywsLB7W1dWZ7N6dPr+uzkhiZPQIBw4As2YBHA5g
 YAAYGenNZutW4PZt4OhR4N49ICwMOH9ez3fWLECjAWprIfnLX/BcUxOuA4BU
 KnXn8XjT5XJ5UV1dXWF5eXm/jdKH169fDx5I86mpqW8AqM7Ly9vEpvvH65VX
 lh7m8aAjeoOOH5fS9OmgKVNAHh6gmTNBS5aA2tr0Wn/ttS6tA6ANG7pOxM0N
 ZGiIrzoj4erVqxuIiEpLSzscHByaPT09rzAMo/hB/WNtbf32QOBDQkJ2hYeH
 540aNeqzXuCTAFwDcCM1VfWQaBcRbSQikx4+cOiQPqx2Bz5xIqiiostHxo/X
 3x8+HLUAwOVyX5swYUKbn58f7du373EOsLOzy+ttQg+bmpr6nMmsWrXqmZSU
 lC1RUVFDy8rKWufPn//3xsbGoZGRkXbnzp2TNTQ0WFpbW5+trKw8yjDMJ+bm
 Whgbi9DYuAxbt65GRQXwsJdBWlgAKSn6yAMAp08DwcH6CAUAYjFQWwtYWFh4
 Xr16tcfo09zcvNHS0rKmd0PzjVar/ZRhmFcjIiKcMzMzZZcvXzbJysoasX//
 /h3V1dXGAoHA4NKlSwIOh/O8VCr1mDBhQkFycvIRuVx+obKy8igAHDhwYMmG
 Dbs7ysoMcOuWCKNHL+wB3t8fOHECqK7uAh8aCvj46MELBEBREeDggCYAaGxs
 XJWcnFzB5XIbV6xY8QAARCLRreLi4qj+/EDMtmxvAlgD4JJGo2nvPLrIyEhS
 KBRtjo6Ou4lI7erqui4gICCp08ykUvNdAJIjI311Z89uoTNnttL777tSfv4P
 w2pCAojD6TKnSZNALS36ZyoV7gMwZRt9Wy6X62hlZbU3Pj6+etKkSVsGG1Jf
 MDc33z969OhCAM3d6xCxWHyZiNRTp079a0hIyBtE5CMUCtPZ5gfm5gjLzo7+
 nmgr6ZcpEYEuXwZFR4MYpqcvLFvWJdjZsyAAOgDD+sBkOljwviKR6AMiUicm
 Jsbt3LmziYjIxsZGd+rUqRZbW9sMIlJv2rRpkaWl5SGBQPAuG4a7vmSKF5ct
 C3+k0eygffveIqGQ2wM0oI84VVVd4Fet0t8XCqF7mqGUEQBNZ92Tm5sbLJFI
 qseNG1chl8s/cHZ2/oCIppeXl89mK9OvjYyMFgEQ9GYkFCIyLGyWbsOGd+hP
 f1rxGPiMGaDCwi7gX30FUii6BDMxQf3TCBASFRW1onsIbW9v9yGiGUSkLi0t
 DZVIJLvEYvHZ1NTU/+p0OlqyZEm7hYXFVUtLy5l98HMMCrK/V1WV1qHVriMi
 7mPg2dn6PNH9VJ5/HvTsszj7NAI8IxQKszMyMuaxAnilp6dHT548eR1b/68H
 MMLU1PRBQkJCh6+vL+3du5eIiIKDg+8AGNlXcJg2TZJbVBT/sKpqOyUljaKh
 Q3sC5/NBmZmgI0dwb/hwuD3tbFMC4A22BtkDIJ6dD3VOMIReXl53ujv2rVu3
 2mNiYuoB2A/AN0mlUtYnJKyiV15JIKlUL0hCgv5EmpuhGzEC1b/E/J9xdXW9
 RkTE5/ObiYh27tzZDGD7IN7liER4ffx4w7JXX3WvO3lS/V1amuhbtZrb6Ovr
 SwBqfpE/GCYmJnI3N7czAHbExcXVZGRkNDAMo/6ximDHkpb29m6frF6dQuxk
 +5clPp8/US6XP/c0PFxcXLbY29sTgH2/y3+9KpXqMPu/TPF7xC/jcrlXAcz4
 vf5sf4ntBv+gP+gP+gn0Pw90Yp3LgRp1AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

%:
	dh $@ 

override_dh_auto_clean:
	rm -f translations/*.qm

override_dh_auto_install:
	make install DESTDIR=debian/hivemind prefix=/opt/maemo/usr
	mv debian/hivemind/opt/maemo/usr/bin/hivemind debian/hivemind/usr/bin/hivemind
	rm debian/hivemind/opt/maemo/usr/share/hivemind/icons/COPYRIGHT
	rm debian/hivemind/opt/maemo/usr/share/hivemind/qt4reactor/LICENSE
	rm debian/hivemind/opt/maemo/usr/share/hivemind/translations/*.ts

## hivemind 0.3.1

=== debian/changelog ===
hivemind (0.3.1-maemo1) unstable; urgency=low

  * Minor upstream update

 -- Ilya Paramonov <ivparamonov@gmail.com>  Sat, 04 Dec 2010 22:55:45 +0300

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export SBOX_REDIRECT_IGNORE
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_clean:
 	rm -f translations/*.qm

## hivemind 0.3.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # HiveMind - Distributed mind map editor for Maemo 5 platform
 # Makefile
-# Copyright (C) 2010 Ilya Paramonov
+# Copyright (C) 2010-2011 Ilya Paramonov
 
 prefix=/usr/local
 
@@ -47,7 +47,7 @@
 
 install: build-translations
 	install -d ${DESTDIR}${prefix}/share/hivemind ${DESTDIR}${prefix}/bin
-	cp -r config icons images hivemind translations qt4reactor ${DESTDIR}${prefix}/share/hivemind/
+	cp -r config icons images hivemind translations qt4reactor idavoll ${DESTDIR}${prefix}/share/hivemind/
 	cp hivemind.py ${DESTDIR}${prefix}/bin/hivemind
 	cd ${DESTDIR}${prefix}/share/hivemind

=== debian/changelog ===
hivemind (0.3.4-maemo1) unstable; urgency=low

  * New upstream release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Mon, 10 Jan 2010 22:11:09 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,14 @@
 Architecture: all
 Depends: python (>= 2.5), python (< 2.6), python-lxml (>= 2.1), python-pyside.qtcore (>= 0.4.2), python-pyside.qtgui (>= 0.4.2), python-pyside.qtmaemo5 (>= 0.4.2), python-twisted (>= 8.2.0), python-wokkel (>= 0.6.3)
 Description: Collaborative mind map editor
- It is still under active development now. Collaborative functions are very experimental now.
+ HiveMind is a cross-platform collaborative mind map editor having the following features:
+ .
+   * Node addition/deletion/editing/formatting operations
+   * Freemind file format support
+   * Interface optimized for usage on mobile devices (Nokia N900) and on PC (partially implemented)
+   * Basic collaboration support based on XMPP protocol
+ .
+ HiveMind is under active development now. Collaborative functions are very experimental.
  It is planned to make them stable in the next release.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,5 @@
 	mv debian/hivemind/opt/maemo/usr/bin/hivemind debian/hivemind/usr/bin/hivemind
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/icons/COPYRIGHT
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/qt4reactor/LICENSE
+	rm debian/hivemind/opt/maemo/usr/share/hivemind/idavoll/LICENSE
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/translations/*.ts

## hivemind 0.3.5

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,7 @@
 	rm -rf html
 	rm -f hivemind/__version__.py
 	find . -name '*.pyc' -delete
+	find . -name '*.pyo' -delete
 
 install: build-translations
 	install -d ${DESTDIR}${prefix}/share/hivemind ${DESTDIR}${prefix}/bin

=== debian/changelog ===
hivemind (0.3.5-maemo1) unstable; urgency=low

  * New upstream release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Sat, 22 Jan 2010 16:01:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 override_dh_auto_install:
 	make install DESTDIR=debian/hivemind prefix=/opt/maemo/usr
 	mv debian/hivemind/opt/maemo/usr/bin/hivemind debian/hivemind/usr/bin/hivemind
+	rm -rf debian/hivemind/opt/maemo/usr/share/hivemind/hivemind/desktop
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/icons/COPYRIGHT
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/qt4reactor/LICENSE
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/idavoll/LICENSE

## hivemind 0.3.6

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	@echo '  version             - generate __version__.py from hg log'
 	@echo '  documentation       - create documentation using epydoc'
 	@echo '  clean               - remove files created by other targets'
+	@echo '  clean-binaries	     - remove python binaries'
 	@echo '  install             - install previously built application'
 	@echo '  uninstall           - uninstall application'
 	@echo	
@@ -39,10 +40,12 @@
 	find hivemind -name '*.py' -a ! -wholename 'hivemind/test/*' | \
 		xargs epydoc -v --name HiveMind --graph all $(EPYPARAMS)
 
-clean:
+clean: clean-binaries
 	rm -f $(patsubst %.ts,%.qm,$(wildcard translations/*.ts))
 	rm -rf html
 	rm -f hivemind/__version__.py
+
+clean-binaries:
 	find . -name '*.pyc' -delete
 	find . -name '*.pyo' -delete

=== debian/changelog ===
hivemind (0.3.6-maemo1) unstable; urgency=low

  * New upstream release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Sun, 06 Feb 2011 12:28:42 +0300

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Ilya Paramonov <ivparamonov@gmail.com>
 Build-Depends: debhelper7, python-support, quilt (>= 0.45), libqt4-dev
 Standards-Version: 3.8.4
-Homepage: https://linuxlab.corp7.uniyar.ac.ru/projects/hivemind
-XSBC-Bugtracker: https://linuxlab.corp7.uniyar.ac.ru/projects/hivemind/issues
+Homepage: http://linuxlab.corp7.uniyar.ac.ru/projects/hivemind
+XSBC-Bugtracker: http://linuxlab.corp7.uniyar.ac.ru/projects/hivemind/issues
 
 Package: hivemind
 Architecture: all
-Depends: python (>= 2.5), python (< 2.6), python-lxml (>= 2.1), python-pyside.qtcore (>= 0.4.2), python-pyside.qtgui (>= 0.4.2), python-pyside.qtmaemo5 (>= 0.4.2), python-twisted (>= 8.2.0), python-wokkel (>= 0.6.3)
+Depends: python (>= 2.5), python (< 2.6), python-lxml (>= 2.1), python-pyside.qtcore (>= 1.0.0~beta3), python-pyside.qtgui (>= 1.0.0~beta3), python-pyside.qtmaemo5 (>= 1.0.0~beta3), python-twisted (>= 8.2.0), python-wokkel (>= 0.6.3)
 Description: Collaborative mind map editor
  HiveMind is a cross-platform collaborative mind map editor having the following features:
  .
    * Node addition/deletion/editing/formatting operations
    * Freemind file format support
-   * Interface optimized for usage on mobile devices (Nokia N900) and on PC (partially implemented)
+   * Interface optimized for usage on mobile devices (Nokia N900) and on PC
    * Basic collaboration support based on XMPP protocol
  .
  HiveMind is under active development now. Collaborative functions are very experimental.
- It is planned to make them stable in the next release.
+ It is planned to make them stable in the release 0.4.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	make install DESTDIR=debian/hivemind prefix=/opt/maemo/usr
 	mv debian/hivemind/opt/maemo/usr/bin/hivemind debian/hivemind/usr/bin/hivemind
 	rm -rf debian/hivemind/opt/maemo/usr/share/hivemind/hivemind/desktop
+	rm -rf debian/hivemind/opt/maemo/usr/share/hivemind/config/desktop
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/icons/COPYRIGHT
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/qt4reactor/LICENSE
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/idavoll/LICENSE

## hivemind 0.4.0

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 install: build-translations
 	install -d ${DESTDIR}${prefix}/share/hivemind ${DESTDIR}${prefix}/bin
-	cp -r config icons images hivemind translations qt4reactor idavoll ${DESTDIR}${prefix}/share/hivemind/
+	cp -r config mapicons images hivemind translations qt4reactor idavoll ${DESTDIR}${prefix}/share/hivemind/
 	cp hivemind.py ${DESTDIR}${prefix}/bin/hivemind
 	cd ${DESTDIR}${prefix}/share/hivemind

=== debian/changelog ===
hivemind (0.4.0-maemo1) unstable; urgency=low

  * New upstream release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Fri, 25 Feb 2011 12:20:10 +0300

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,21 @@
 Section: user/office
 Priority: extra
 Maintainer: Ilya Paramonov <ivparamonov@gmail.com>
-Build-Depends: debhelper7, python-support, quilt (>= 0.45), libqt4-dev
+Build-Depends: debhelper7, quilt (>= 0.45), libqt4-dev
 Standards-Version: 3.8.4
 Homepage: http://linuxlab.corp7.uniyar.ac.ru/projects/hivemind
 XSBC-Bugtracker: http://linuxlab.corp7.uniyar.ac.ru/projects/hivemind/issues
 
 Package: hivemind
 Architecture: all
-Depends: python (>= 2.5), python (< 2.6), python-lxml (>= 2.1), python-pyside.qtcore (>= 1.0.0~beta3), python-pyside.qtgui (>= 1.0.0~beta3), python-pyside.qtmaemo5 (>= 1.0.0~beta3), python-twisted (>= 8.2.0), python-wokkel (>= 0.6.3)
+Depends: python (>= 2.5), python (< 2.6), python-lxml (>= 2.1), python-pyside.qtcore (>= 1.0.0~beta3), python-pyside.qtgui (>= 1.0.0~beta3), python-pyside.qtmaemo5 (>= 1.0.0~beta3), python-wokkel (>= 0.6.3)
 Description: Collaborative mind map editor
  HiveMind is a cross-platform collaborative mind map editor having the following features:
  .
    * Node addition/deletion/editing/formatting operations
    * Freemind file format support
    * Interface optimized for usage on mobile devices (Nokia N900) and on PC
-   * Basic collaboration support based on XMPP protocol
- .
- HiveMind is under active development now. Collaborative functions are very experimental.
- It is planned to make them stable in the release 0.4.
+   * Collaboration support based on XMPP protocol
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## hivemind 0.4.3

=== debian/changelog ===
hivemind (0.4.3-maemo1) unstable; urgency=low

  * New upstream release based on PyQt instead of PySide

 -- Ilya Paramonov <ivparamonov@gmail.com>  Sat, 02 Apr 2011 23:27:22 +0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: hivemind
 Architecture: all
-Depends: python (>= 2.5), python (< 2.6), python-lxml (>= 2.1), python-pyside.qtcore (>= 1.0.0~beta3), python-pyside.qtgui (>= 1.0.0~beta3), python-pyside.qtmaemo5 (>= 1.0.0~beta3), python-wokkel (>= 0.6.3)
+Depends: python (>= 2.5), python (< 2.6), python-lxml (>= 2.1), python2.5-qt4-core (>= 4.7.5), python2.5-qt4-gui (>= 4.7.5), python2.5-qt4-svg (>= 4.7.5), python-wokkel (>= 0.6.3)
 Description: Collaborative mind map editor
  HiveMind is a cross-platform collaborative mind map editor having the following features:
  .

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	mv debian/hivemind/opt/maemo/usr/bin/hivemind debian/hivemind/usr/bin/hivemind
 	rm -rf debian/hivemind/opt/maemo/usr/share/hivemind/hivemind/desktop
 	rm -rf debian/hivemind/opt/maemo/usr/share/hivemind/config/desktop
-	rm debian/hivemind/opt/maemo/usr/share/hivemind/icons/COPYRIGHT
+	rm debian/hivemind/opt/maemo/usr/share/hivemind/mapicons/COPYRIGHT
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/qt4reactor/LICENSE
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/idavoll/LICENSE
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/translations/*.ts

## hivemind 0.4.4

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,9 @@
 # Copyright (C) 2010-2011 Ilya Paramonov
 
 prefix=/usr/local
+
+# Beware that the installation list below is also extracted by deploy-n900 script! :)
+INSTALLATION_LIST=config mapicons images hivemind translations qt4reactor idavoll
 
 all: build-translations
 
@@ -14,6 +17,9 @@
 	@echo '  documentation       - create documentation using epydoc'
 	@echo '  clean               - remove files created by other targets'
 	@echo '  clean-binaries	     - remove python binaries'
+	@echo '  pylint              - run pylint static checker for all code'
+	@echo '  pylint-hook         - run pylint static checker from mercurial hook'
+	@echo '  unittest            = run all unit tests (can be used as a hook)'
 	@echo '  install             - install previously built application'
 	@echo '  uninstall           - uninstall application'
 	@echo	
@@ -29,7 +35,8 @@
 
 version:
 	hg log -r . | awk ' \
-	BEGIN{ print "# This file is auto-generated. Do not edit!" } \
+	BEGIN{ print "'\'\'\''\nHiveMind version information. \n\
+	This file is auto-generated. Do not edit!\n'\'\'\''" } \
 	/^changeset:/{ VERSION = "r" substr($$2, 0, index($$2, ":") - 1) "+dev"; } \
 	/^tag: *v/{ VERSION = substr($$2, 2); } \
 	/^summary: *Added tag v/{ VERSION = substr($$4, 2); } \
@@ -46,12 +53,11 @@
 	rm -f hivemind/__version__.py
 
 clean-binaries:
-	find . -name '*.pyc' -delete
-	find . -name '*.pyo' -delete
+	find . -name '*.py[co]' | xargs -r rm
 
 install: build-translations
 	install -d ${DESTDIR}${prefix}/share/hivemind ${DESTDIR}${prefix}/bin
-	cp -r config mapicons images hivemind translations qt4reactor idavoll ${DESTDIR}${prefix}/share/hivemind/
+	cp -r ${INSTALLATION_LIST} ${DESTDIR}${prefix}/share/hivemind/
 	cp hivemind.py ${DESTDIR}${prefix}/bin/hivemind
 	cd ${DESTDIR}${prefix}/share/hivemind
 
@@ -59,4 +65,15 @@
 	rm -rf ${DESTDIR}${prefix}/share/hivemind
 	rm -f ${DESTDIR}${prefix}/bin/hivemind
 
-.PHONY: help all update-translations build-translations version documentation clean install
+pylint:
+	find hivemind -name '*.py' -a -not -regex '^hivemind/test.*' | \
+	xargs pylint --rcfile=pylint.conf
+
+pylint-hook:
+	hg status -am --change ${HG_NODE} -I 'glob:**.py' | cut -d ' ' -f 2 | \
+	xargs -r pylint --rcfile=pylint.conf
+
+unittest:
+	UNITTEST=1 nosetests hivemind/test/*py hivemind/test/network/*py
+
+.PHONY: help all update-translations build-translations version documentation clean install pylint pylint-hook unittest

=== debian/changelog ===
hivemind (0.4.4-maemo1) unstable; urgency=low

  * New upstream release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Sun, 17 Apr 2011 13:01:11 +0400

## hivemind 0.4.5

=== debian/changelog ===
hivemind (0.4.5-maemo1) unstable; urgency=low

  * New upstream release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Sun, 24 Apr 2011 17:07:20 +0400

## hivemind 0.4.5.1

=== debian/changelog ===
hivemind (0.4.5.1-maemo1) unstable; urgency=low

  * Bugfix in upstream
  * Fixed a critical bug with maemo-specific patch

 -- Ilya Paramonov <ivparamonov@gmail.com>  Sun, 24 Apr 2011 19:24:51 +0400

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	rm -rf debian/hivemind/opt/maemo/usr/share/hivemind/hivemind/desktop
 	rm -rf debian/hivemind/opt/maemo/usr/share/hivemind/config/desktop
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/mapicons/COPYRIGHT
+	rm debian/hivemind/opt/maemo/usr/share/hivemind/mapicons/*.svg
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/qt4reactor/LICENSE
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/idavoll/LICENSE
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/translations/*.ts

## hivemind 0.4.5.2

=== debian/changelog ===
hivemind (0.4.5.2-maemo1) unstable; urgency=low

  * Reverted buggy modifications of 0.4.5.1

 -- Ilya Paramonov <ivparamonov@gmail.com>  Sun, 24 Apr 2011 21:26:17 +0400

## hivemind 0.4.6

=== debian/changelog ===
hivemind (0.4.6-maemo1) unstable; urgency=low

  * New upstream release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Sun, 22 May 2011 11:10:57 +0400

## hivemind 0.4.7

=== debian/changelog ===
hivemind (0.4.7-maemo1) unstable; urgency=low

  * New upstream release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Wed, 15 Jun 2011 21:36:38 +0400

## hivemind 0.4.8

=== debian/changelog ===
hivemind (0.4.8-maemo1) unstable; urgency=low

  * New upstream release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Thu, 30 Jun 2011 22:55:10 +0400

## hivemind 0.4.9

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	' > hivemind/__version__.py
 
 documentation:
-	find hivemind -name '*.py' -a ! -wholename 'hivemind/test/*' | \
+	find hivemind -name '*.py' -a ! -wholename 'test/*' | \
 		xargs epydoc -v --name HiveMind --graph all $(EPYPARAMS)
 
 clean: clean-binaries
@@ -66,7 +66,7 @@
 	rm -f ${DESTDIR}${prefix}/bin/hivemind
 
 pylint:
-	find hivemind -name '*.py' -a -not -regex '^hivemind/test.*' | \
+	find hivemind -name '*.py' -a -not -regex '^test.*' | \
 	xargs pylint --rcfile=pylint.conf
 
 pylint-hook:
@@ -74,6 +74,6 @@
 	xargs -r pylint --rcfile=pylint.conf
 
 unittest:
-	UNITTEST=1 nosetests hivemind/test/*py hivemind/test/network/*py
+	UNITTEST=1 nosetests test/*py test/network/*py
 
 .PHONY: help all update-translations build-translations version documentation clean install pylint pylint-hook unittest

=== debian/changelog ===
hivemind (0.4.9-maemo1) unstable; urgency=low

  * New upstream release

 -- Ilya Paramonov <ivparamonov@gmail.com>  Thu, 31 Sun 2011 12:21:06 +0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper7, quilt (>= 0.45), libqt4-dev
 Standards-Version: 3.8.4
 Homepage: http://linuxlab.corp7.uniyar.ac.ru/projects/hivemind
-XSBC-Bugtracker: http://linuxlab.corp7.uniyar.ac.ru/projects/hivemind/issues
+XSBC-Bugtracker: http://yar.fruct.org/projects/hivemind/issues
 
 Package: hivemind
 Architecture: all
@@ -13,10 +13,11 @@
 Description: Collaborative mind map editor
  HiveMind is a cross-platform collaborative mind map editor having the following features:
  .
-   * Node addition/deletion/editing/formatting operations
+   * Node editing and formatting operations
+   * Search and filtering features
    * Freemind file format support
    * Interface optimized for usage on mobile devices (Nokia N900) and on PC
-   * Collaboration support based on XMPP protocol
+   * Teamwork support based on XMPP protocol
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	mv debian/hivemind/opt/maemo/usr/bin/hivemind debian/hivemind/usr/bin/hivemind
 	rm -rf debian/hivemind/opt/maemo/usr/share/hivemind/hivemind/desktop
 	rm -rf debian/hivemind/opt/maemo/usr/share/hivemind/config/desktop
-	rm debian/hivemind/opt/maemo/usr/share/hivemind/mapicons/COPYRIGHT
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/mapicons/*.svg
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/qt4reactor/LICENSE
 	rm debian/hivemind/opt/maemo/usr/share/hivemind/idavoll/LICENSE
